/* Login Page Styles */
div.login-page {
    width: 100%; 
    height: 100vh; 
    background: linear-gradient(#57ADAD, #09626B);
}
div.login-page h1 {
    text-align: center; 
    font-size: 45px; 
    padding-top: 200px; 
    font-weight: 400; 
    color: white;
    margin-top: 0;
    font-family: Rye;
}
div.login-page h2 {
    text-align: center; 
    font-size: 35px; 
    font-weight: 400; 
    color: white;
    padding-bottom: 15px;
}
div.login-page p {
    text-align: center;
}
div.login-page form {
    display: flex;
    justify-content: center;
}
div.login-page input {
    height: 40px; 
    text-align: center;
    border-radius: 5px; 
    border: none;
}
div.login-page button {
    background-color: #561023; 
    color: white; 
    border-radius: 5px; 
    border: none; 
    width: 70px; 
    margin-left: 10px;
}

/* Nav Styles */
h1.header {
    color: #561023; 
    margin: 35px 0 15px; 
    width: 100%; 
    text-align: center;
    font-family: Rye;
    font-weight: 400;
}

/* Dropdown Styles */
div.dropdown {
    align-items: center;
    display: flex;
    justify-content: center;
}
div.dropdown select{
    min-width: 150px;
    border: solid 1px #561023;
    border-radius: 5px;
    padding: 6px;
    font-family: Rye;
    font-weight: 400;
    background-color: #561023;
    color: white;
    text-align: center;
}
select:focus, select:active {
    outline: none;
}


/* Main Content */
body{
    background-color: #E4DED1;
}
main {
    width: 100%;
    margin: auto;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
}
main .right-sidebar {
    width: 400px;
}
main .right-sidebar ul {
    list-style: none;
    margin: 0;
    padding-left: 0;
    height: 100%;
    overflow-y: scroll;
    border-radius: 0 6px 6px 0;
}
main .right-sidebar ul li {
    list-style: none;
    border: 2px solid #56102341;
    margin: 3px;
    border-radius: 3px;
    width: 98%;
}
.modal-btn {
    max-height: 50px;
    vertical-align: center;
    display: none;
}

div.leaflet-popup-content h3{
    font-size: 17px;
}

div.leaflet-popup-content p{
    margin: 8px 0;
    font-size: 14px;
}

/* Map Styles */
#map {
    width: 75%;
    aspect-ratio: 17/9;
    display: block;
    margin: auto;
    box-shadow: 0px 2px 15px rgb(172, 172, 172); 
}
@media screen and (max-width:900px) {
    #map {
        aspect-ratio: 6/9;
    }
} 
/* #map-container {
    width: calc(100% - 100px);
}
img.map {
    width: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
    display: inline-block;
    position: relative;
    border-radius: 6px 0 0 6px;
} */
img.map-pin{
    max-width: 40px;
    position: absolute;
    transition: 300ms;
}
img.map-pin:hover {
    transition: 300ms;
    transform: scale(1.4)
}

#all-map, #anderson-map, #cloverdale-map {
    display: none;
    position: relative;
}
#all-map.active, #anderson-map.active, #cloverdale-map.active {
    display: block;
}

/* Right Sidebar Styles */
div.right-sidebar {
    display: inline-block;
}
button.accordion {
    background-color: #ffffff;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 96%;
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: 0.4s;
    border: none;
    overflow-x:hidden;
}
button.accordion h2{
    margin: 0;
}

button.accordion.active, button.accordion:hover {
    background-color: #ffffff; 
}

div.panel {
    padding: 0 18px;
    display: none;
    background-color: white;
}
img.billboard-pic {
    width: 100%;
    margin-bottom: 10px;
}

div.notes {
    background-color: white;
    margin: 20px auto;
    width: 73%;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 2px 1px 10px lightgray;
}

div.notes h1{
    color: black;
    font-family: Rye;
    font-weight: 400;
    margin: 0;
    margin-bottom: 15px;
}
.notes p{
    margin: 8px 0;
    font-size: 16px;
}
/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: auto;
    scrollbar-color: #561023;
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 12px;
    height: 0px;
  }

  *::-webkit-scrollbar-track {
    background: #ffffff;
  }

*::-webkit-scrollbar-thumb {
    background-color: #561023;
    border-radius: 10px;
    border: 2px solid #ffffff;
  }